#	$NetBSD: CHANGES-1.4.3,v 1.1.2.92 2000/11/04 22:16:01 he Exp $

A complete list of changes from NetBSD 1.4.2 to NetBSD 1.4.3:

File						Revision(s)
----						--------

sys/conf/osrelease.sh				patch

  Bump visible version number to 1.4.2A, to indicate that we're
  no longer exactly at 1.4.2.

sys/ufs/lfs/lfs_vfsops.c			1.37-1.38

  Prevent lfs_mountroot() from attempting to use a network device
  as root.

sys/arch/sparc/dev/zs.c				patch

  Fix a NULL pointer dereference when a zs device interrupts during
  autoconfiguration of subdevices (keyboard & mouse).

usr.sbin/sup/source/scm.c			1.10

  Improve error message when unable to look up local hostname.

gnu/dist/gcc/config/alpha/alpha.c		1.5

  Change ev5/ev56 L1 cache latency from 2 to 3.

usr.bin/lex/flex.skl				1.13-1.14

  Allow C++ lexers to build.  Fixes PR#8258.

sbin/mknod/mknod.8				1.17

  In the example conf.c path, arch-specific directories now
  live under sys/arch, not directly under sys.

libexec/ld.aout_so/rtld.1			1.9-1.10

  Document LD_PRELOAD and note the security restrictions.
  Fixes PR#9663.  Also some spelling fixes.

distrib/notes/Makefile				patch
distrib/notes/Makefile.inc			patch

  Format HTML with latin1 characters.  Add a ``release'' target to
  install the formatted release notes.

sys/arch/arm32/conf/CATS			patch

  Add vr(4) and ukphy to config.

lib/libc/sys/intro.2				1.20-1.21

  Note that EFAULT can't be guaranteed in e.g. pipe(2); fixes PR#7720.
  Update the description of errno.  Fixes PR#9496.

etc/etc.i386/MAKEDEV				1.85

  Create wd2 and wd3 device nodes also on the floppy images, to allow
  installation on those drives too.

sys/dev/pci/ncr.c				1.87, 1.96-1.97

  Fix script bug in processing QUEUE FULL response (would always
  trigger an assertion failure), and add Quantum Atlas IV drives
  to the quirk table so that they don't use tagged queueing.
  Fixes problems reported in PR#7694.

distrib/notes/common/sysinst			patch

  Clarify the PCMCIA IRQ allocation workaround.  Fixes PR#9568.

usr.bin/du/du.c					1.15

  Include -r flag in usage message.

sys/arch/alpha/alpha/pmap.c			1.130
sys/arch/i386/i386/pmap.new.c			patch (1.85 pmap.c)
sys/arch/mips/mips/pmap.c			1.88
sys/arch/pc532/pc532/pmap.new.c			patch (1.47 pmap.c)
sys/uvm/uvm.h					1.19
sys/uvm/uvm_page.c				1.32

  Use a more reliable method to determine if uvm_page_init() has
  completed.  This fixes a problem observed on some i386 configs
  (typically with lots of memory) where the kernel page table needs
  to grow during initialization.

gnu/dist/gcc/config/alpha/alpha.c		1.6

  Do not enable CIX on ev6/21264, but add an ev67/21264a switch
  that does.  Fixes kernel built with -mcpu=ev6.

distrib/notes/common/sysinst			patch

  More tweaking of the text explaining the PCICMA workaround.  Now
  includes instructions for patching the kernel binary and for
  configuring the corresponding kernel option.

lib/libarch/m68k/m68k_sync_icache.S		1.3 via patch

  Make libm68k work.

share/man/man4/wscons.4				1.11

  Clarify language, fixes PR#9708.

sys/netinet/ip_output.c				1.73

  Pass M_BCAST and M_MCAST flags to fragments.  Fixes PR#9772.

distrib/notes/common/postinstall		1.6 via patch
distrib/notes/common/postinstall		1.7

  Clarify exactly where pkgsrc.tar.gz should be extraced.
  Fixes PR#9580.  Clarify that /usr/pkgsrc is not the One True
  Location, but merely a convention.

share/man/man4/options.4			1.103-1.104 via patch

  Document PCMCIA IO space conflicts and options.  Note use and
  existance of PCIC_ISA_ALLOC_IOBASE and PCIC_ISA_ALLOC_IOSIZE.
  Re-sort references.

share/man/man4/pcmcia.4				1.15 via patch

  Note PCIC_ISA_ALLOC_IOBASE and PCIC_ISA_ALLOC_IOSIZE.
  Fixes PR#9683.

usr.bin/man/man.c				1.17-1.22
usr.bin/man/config.c				1.10
usr.bin/man/man.1				1.9
usr.bin/man/config.h				1.3
usr.bin/man/man.conf.5				1.6-1.7
usr.bin/man/pathnames.h				1.4

  Pull up various changes from the trunk:
   o fix signal handlers to avoid obscure exit codes
   o clean up after SIGPIPE
   o try TMPDIR env variable, fall back to _PATH_TMP
   o fall back to more if PAGER is set but null
   o recognize _crunch in man.conf
   o use uname(3) to determine MACHINE type
   o man page typos fixed.  Document _crunch.

lib/libpcap/pcap.c				1.8
lib/libpcap/savefile.c				1.6

  Fix pcap_dispatch() timeout handling.  Use snprintf, not sprintf.
  This synchronizes with a more recent LBL libpcap.

sys/arch/i386/conf/HOMEWORLD			patch

  Synchronize with config for the new HOMEWORLD machine.

share/man/man8/man8.i386/boot_console.8		1.5

  Remove text asserting that CONSDEV_AUTO and CONSDEV_COM*KBD imply
  COMCONS_KEYPRESS (they don't).

bin/dd/position.c				1.7-1.8

  Correctly lseek() on non-tape character devices (e.g. disks)
  as the manual page documents.

sys/sys/proc.h					1.88 via patch
sys/kern/kern_subr.c				1.62 via patch
sys/kern/kern_synch.c				1.69 via patch
sys/kern/kern_ktrace.c				1.38-1.39 via patch

  Fix two bugs:
   o A malicious or erroneous program can hog the CPU in uiomove()
   o A ktrace of such a program can hog large amounts of kernel memory
  Fixes SA#2000-005.

distrib/notes/common/main			patch

  Add a (for the time being empty) caveats section for 1.4.3.

lib/libskey/skeylogin.c				1.13 via patch

  In skeyverify(), don't restore priority to 0, but to previous
  priority.  Fixes PR#4891.

sys/uvm/uvm_map.c				1.72

  Undo revision 1.13: don't block interrupts while deactivating
  one pmap and activating another, since these only affect user-
  level mappings which cannot be accessed from interrupt context.
  This fixes Sparc zstty overflows reported in PR#8322, since pmap
  operations are slow on old sun4c sparcs.

gnu/dist/gcc/config/alpha/netbsd.h		1.11

  Pass the appropriate directive to the assembler if an -mcpu=...
  option is given to the compiler.

sys/net/if.c					1.62 via patch

  Fix ifa_ifwithnet() for the netatalk case to properly return the
  best match and not the first match.  Makes netatalk work again
  on networks without AppleTalk routers.  Fixes PR#9957.

sys/dev/pci/if_ti.c				1.6-1.7 via patch

  Fix bug which could result in a panic.  Add a shutdown hook to
  stop the board to avoid memory corruption on reboot.  Use bus_space
  for TIGON 2 chips, so that they will work even if we can't map
  the memory space linearly (e.g. on alpha).

sys/msdosfs/fat.h				1.14

  Correct broken ``LP64 fix'' introduced in last pullup, and better
  explain sense of MSDOSFSEOF() macro.  Fixes PR#9116, PR#9206 and
  part of PR#8037.

sys/msdosfs/msdosfs_vnops.c			1.96

  Avoid integer overflow preventing reading of files >2GB in size.
  Fixes PR#9046.

sys/dev/isa/pas.c				1.47

  Fix bug related to allocation / deallocation of bus_space region
  if map of SB I/O space failed.  Fixes PR#9992.

sys/netinet/ip.h				1.20-1.21

  Add ``__attribute__((__packed__))'' to structures used to describe
  on-the-wire data, to prevent egcs from making unwarranted assumptions
  about the alignment of these structures.  Fixes part of SA#2000-02.

sys/kern/kern_subr.c				patch

  Allow this to compile without DIAGNOSTIC defined.

sys/ufs/lfs/lfs_vfsops.c			1.50

  Sanity check the superblock before trying to use it to find the
  alt superblock; sanity check the disk address of the alt superblock
  to avoid deadlocking when trying to read it with the primary
  superblock buffer still busy.  Fixes PR#10001.

lib/libc/arch/i386/sys/syscall.S		1.9
lib/libc/arch/i386/sys/brk.S			1.13
lib/libc/arch/i386/sys/exect.S			1.10
lib/libc/arch/i386/sys/ptrace.S			1.13
lib/libc/arch/i386/sys/sbrk.S			1.11
lib/libc/arch/i386/sys/sigprocmask.S		1.14
lib/libc/arch/i386/sys/sigsuspend.S		1.12

  Repair syscall stubs which were not adapted when the cerror
  interface was changed.

usr.bin/at/at.c					1.14

  Correct wrong variable being tested in env parsing loop.

usr.sbin/bind/lib/Makefile			1.9 via patch
dist/bind/include/port_ipv6.h			patch (new)

  Use a static version of port_ipv6.h instead of generating it.
  The use of the probe script had at least two problems: it probed
  the host headers (could be fixed in another way), and it could
  be problematical in a cross-compile environment.

sys/netinet/ip_input.c				1.112

  Handle large offsets inside very small options correctly.
  Fixes part of SA#2000-002.

usr.sbin/wiconfig/Makefile			1.1-1.2 (new)
usr.sbin/wiconfig/wiconfig.8			1.1-1.5 (new)
usr.sbin/wiconfig/wiconfig.c			1.1-1.4 (new)
usr.sbin/Makefile				1.121 via patch
sys/dev/pcmcia/Makefile				1.3
sys/dev/pcmcia/if_wi_ieee.h			1.1-1.4 (new)
sys/dev/pcmcia/if_wireg.h			1.1-1.5 (new)
sys/dev/pcmcia/if_wivar.h			1.1-1.7 (new)
sys/dev/pcmcia/if_wi.c				1.1-1.13,1.15-1.17 via patch
sys/dev/pcmcia/files.pcmcia			1.15
sys/dev/pcmcia/pcmciadevs			1.39
sys/dev/pcmcia/pcmciadevs.h			regenerate
sys/dev/pcmcia/pcmciadevs_data.h		regenerate
sys/net/if_media.h				1.16-1.17,1.19,1.21-1.23
sys/net/if_media.c				1.9
sys/net/if.h					1.46 (partial) via patch
sys/net/if_ieee80211.h				1.1-1.2 (new)
share/man/man4/wi.4				1.1-1.10 via patch
share/man/man4/Makefile				patch
share/man/man4/pcmcia.4				patch
sys/arch/i386/conf/GENERIC			1.252
sys/arch/i386/conf/INSTALL			1.123
distrib/i386/floppies/ramdisk/ramdiskbin.conf	1.16
distrib/i386/floppies/ramdisk/list		1.21
distrib/i386/floppies/ramdisk/Makefile		patch
distrib/sets/lists/man/mi			patch
distrib/sets/lists/base/mi			patch

  Add a driver for ``wi'', Lucent "Orinoco"/Wavelan.

sys/dev/eisa/if_ep_eisa.c			1.22

  Only allocate the I/O space required.  This permits an ISDN4BSD kernel
  with e.g. an AVM Fritz! card to work with an ep0 card in EISA slot 1.
  Fixes PR#5279.

sys/dev/ic/elink3.c				1.80

  Make the 3Com 3C597 Fast Etherlink TX EISA card work.  Fixes PR#7067.

distrib/i386/floppies/bootfloppy-common/Makefile.inc	patch

  Make sure the PCMCIA alloc variables are retained in the symbol
  table of the resulting kernel, thereby allowing them to be tweaked
  as described in the install notes.

libexec/ftpd/ftpd.c				patch

  Back out unnecessary half of revision 1.70 which breaks parsing
  of /etc/ftpchroot.  Fixes SA#2000-006.

usr.sbin/chown/chown.c				1.21

  Deal with user names with `.' in them.  Fixes PR#10043.

sys/netinet/fil.c				1.32

  Fix bug in dealing with large offsets inside very small options.

sys/dev/pci/isp_pci.c				patch
sys/dev/ic/isp.c				patch
sys/dev/ic/isp_inline.h				patch
sys/dev/ic/isp_netbsd.c				patch
sys/dev/ic/isp_netbsd.h				patch
sys/dev/ic/ispmbox.h				patch
sys/dev/ic/ispreg.h				patch
sys/dev/ic/ispvar.h				patch
sys/dev/microcode/isp/asm_pci.h			patch

  Correctly account for F-port vs. F-port (no FLOGI_ACC) topologies.
  Make sure we get a port database entry for the fabric name server.
  Preserve fabric logins if the device didn't change across fabric
  or port database changes, or the device has already logged into
  us (e.g., for target/initiator dual role devices like Veritas
  SANbox). Propagate class 3 service parameter changes where devices
  can change roles.

  Fix all occurrences of setting a sendmarker so that setting it
  for one bus on dual bus cards doesn't wipe a pending sendmarker
  for other busses on the same card.

  Comments added and clarifications made in some of the target mode code.

  Add support for > 12 byte CDBs.  Split out nvram reading into
  per-card functions.  Add proper Ultra2/Ultra3 support.  Upgrade
  firmware.

sys/dev/pci/if_fxpvar.h				patch
sys/dev/pci/if_fxp.c				patch

  Fix the fxp driver so that it works after a warm-boot from windows
  and across an APM suspend/resume or hibernate/resume cycle.  Fixes
  PR#9370, PR#9548, PR#9571 and PR#9573.

sys/dev/isa/i82365_isasubr.c			1.21
sys/arch/i386/conf/INSTALL			patch
distrib/notes/common/main			patch
distrib/notes/common/sysinst			patch

  Revert 12-bit iospace for PCMCIA to 0x400-0xfff.  Mask out a
  superset of the PCMCIA IRQs from GENERIC in INSTALL (5, 7 and
  10).  Rework the text explaining the PCMCIA workarounds; explain
  both the IO space and IRQ workarounds.

sys/dev/ic/smc83c170.c				1.31 via patch

  Use the lower bits of the crc32 for the multicast address filter,
  not the upper bits.  Fixes PR#8268.

sys/dev/pci/pcidevs				1.198
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate

  Add product IDs for some VIA Technologies devices.

etc/etc.i386/MAKEDEV				1.107

  Create tty03 by default for pcmcia modems.

etc/group					1.7

  Create ``users'' group for the benefit of useradd.

bin/ps/ps.c					1.37

  Only check the terminal size via STDOUT, not STDERR or STDIN.

sbin/dmesg/dmesg.8				1.11

  Mention /var/run/dmesg.boot.

gnu/dist/gcc/config/arm/arm.md			1.5

  Add clobber of the condition code register in negdi2.  Fixes
  PR#9613.

sys/arch/i386/pci/pcib.c			1.26

  Do not handle the VIA Technologies VT82C688A SMBus Controller
  as a PCI/ISA bridge.  Fixes PR#10093.

libexec/getty/ttys.5				1.13

  Fix documentation regarding rtscts/mdmbuf/dtrcts.  Fixes PR#9427.

sbin/mknod/mknod.8				1.18

  Document -F flag.  Fixes PR#9451.

usr.bin/vmstat/vmstat.8				1.17

  Fix typo in manual page.  Fixes PR#10036.

lib/libc/stdio/fopen.3				1.11

  Correct inconsistency between implementation and documentation.
  Fixes PR#6072.

sys/netinet/ip_state.c				patch

  Do not let RST TCP segments create state.

sys/dev/pci/if_fxp.c				patch

  Calibrate the timeouts by using DELAY(1) so their values are less
  machine-dependant. Fixes PR#10141, where spurious timeouts were
  being seen.  Also report the line numbers of the timeouts so it
  can be determined which is being seen.

sbin/newfs/mkfs.c				1.38

  Abort if the number of cylinder group summary area is larger than
  MAXCSBUFS.

usr.bin/gencat/gencat.1				1.1-1.2 (new)
usr.bin/gencat/Makefile				1.5
distrib/sets/lists/man/mi			patch

  Add manual page for gencat.  Fixes PR#4749.

distrib/utils/sysinst/mbr.c			1.22
sbin/fdisk/fdisk.c				1.40
sys/arch/i386/stand/lib/crt/bootsect/start_bootsect.S 1.17

  Fix a booting problem when int13 extensions are used (> 8GB),
  and CHS values in MBRs were written from sysinst or fdisk that
  some BIOSes (Adaptec SCSI BIOS 2.20 in particular) didn't like.

sbin/ldconfig/ldconfig.c			1.28-1.29
libexec/ld.aout_so/shlib.c			1.18 via patch
include/paths.h					1.14

  Enable searching for libraries under /emul/aout, and make sure
  that ELF libraries are not erroneously accepted.

sys/kern/sysv_sem.c				1.37

  Remove existing semaphore system locking mechanism.  This avoids
  giving users a way to wedge processes which use semaphores (NOTE:
  this would only affect processes using semaphores).  Fixes
  SA#2000-004.

etc/inetd.conf					1.29 via patch

  Disable everything except ftpd and telnetd by default.
  Fixes PR#9673.

sys/dev/pci/if_ti.c				patch

  Fix compile error.

sys/miscfs/procfs/procfs_cmdline.c		1.8

  Fix a possible kernel memory leak - if the command line of a
  process was requested after it had started to exit but before it
  became a zombie a page of kernel memory would not be freed.

sys/arch/i386/i386/pmap.new.c			patch
sys/arch/pc532/pc532/pmap.new.c			patch

  When allocating new PT pages during early bootstrap (i.e. before
  pmap_init() has finished), make sure to zero them.

usr.bin/ipcs/ipcs.1				1.9

  Finish an unfinished sentence.

bin/test/test.c					1.21

  Fix operator precedence consistency.  Fixes PR#7015.

bin/test/test.c					1.22
bin/sh/builtins.def				1.15
bin/sh/Makefile					1.50

  Enable test as a shell builtin.  Fixes PR#9847.

sys/arch/amiga/conf/GENERIC			patch
sys/arch/arm32/conf/GENERIC			patch
sys/arch/arm32/conf/RISCPC			patch
sys/arch/arm32/conf/VOYAGER			patch
sys/arch/atari/conf/GENERIC			patch
sys/arch/bebox/conf/GENERIC			patch
sys/arch/hp300/conf/GENERIC			patch
sys/arch/i386/conf/GENERIC			patch
sys/arch/mac68k/conf/GENERIC			patch
sys/arch/macppc/conf/GENERIC			patch
sys/arch/newsmips/conf/GENERIC			patch
sys/arch/next68k/conf/GENERIC			patch
sys/arch/ofppc/conf/GENERIC			patch
sys/arch/pc532/conf/GENERIC			patch
sys/arch/pmax/conf/GENERIC			patch
sys/arch/sparc/conf/GENERIC			patch
sys/arch/sparc64/conf/GENERIC			patch
sys/arch/sun3/conf/GENERIC			patch
sys/arch/vax/conf/GENERIC			patch
sys/arch/x68k/conf/GENERIC			patch
sys/arch/arm32/conf/A7000			patch
sys/arch/sun3/conf/GENERIC3X			patch

  Disable the UNION file system, to avoid a repeat of the 1.4.1
  and 1.4.2 LAST_MINUTE changes.  It is reportedly buggy, and can
  be used by ordinary users to crash the system.

distrib/notes/common/main			patch

  The version of IPF shipped with 1.4.2 was 3.3.6, not 3.3.5.
  Correct the notes correspondingly.

distrib/i386/floppies/bootfloppy-common/Makefile.inc	patch
distrib/i386/floppies/fdset-common/Makefile.inc	patch

  ``Make release'' goes to installation/floppy; use gzip -9.

distrib/macppc/floppies/ramdisk/Makefile	patch

  Don't rely on /etc/disktab, instead construct a disktab on
  the fly based on numbers supplied here.

sys/arch/sparc/conf/INSTALL			patch
distrib/sparc/ramdisk/Makefile			patch

  Use 3240 and not 3528 as miniroot size.

distrib/sparc/bootfs/Makefile			patch

  Don't strip kernel, copy INSTALL kernel to kernel directory
  under ``make release''.

distrib/sparc/bootfs.sysinst/Makefile		patch

  Don't strip kernel, use boot.700000, copy sysinst INSTALL
  kernel to kernel directory under ``make release''.

distrib/sparc/ramdisk/list			patch

  Make the ``ramdisk'' devices, not the ``floppy'' devices.

distrib/utils/sysinst/arch/vax/md.h		patch

  Don't offer to install xserver set -- it's not built in
  this version.

sys/dev/ic/cy.c					1.11,1.13
sys/dev/ic/cyreg.h				1.2-1.3
sys/dev/ic/cyvar.h				1.5
sys/dev/pci/cy_pci.c				1.9
sys/dev/pci/pcidevs				1.172
sys/dev/pci/pcidevs.h				regenerate
sys/dev/pci/pcidevs_data.h			regenerate

  Add support for PCI variants of Cyclom-4Y and -8Y cards.
  Also fixes PR#7175 (new serial controller).

usr.sbin/portmap/portmap.c			1.25
usr.sbin/portmap/portmap.8			1.11

  Fix a hole in the portmap libwrap access control. The new code
  disallows all indirect calls to the portmapper except for
  PMAPPROC_NULL unless the -i (insecure) flag has been specified.
  While there, add a new flag, -p (paranoid) which also disallows
  indirect calls to a small number of other services, including
  key parts of NFS and NIS.

sys/arch/i386/conf/HOMEWORLD			patch

  Update to reflect reality.

sys/arch/i386/i386/apm.c			1.42 via patch
sys/arch/i386/isa/clock.c			1.62 via patch
sys/arch/i386/include/cpu.h			1.57 via patch

  Reinitialize clock after hibernation, something which seems to be
  required on some laptops.  Fixes PR#4808.

sys/dev/pci/pci.c				1.45 via patch

  If the 'PCI_CONFIG_DUMP' option is defined, print a verbose dump
  of all PCI devices' configuration space.

sbin/ldconfig/ldconfig.c			1.30

  Do not treat non-existance of directories under /emul/aout as
  errors.

sys/arch/sparc/stand/common/dvma.c		patch

  Fix lossage of the bootstrap program on sun4 machines, at least
  when booting from disk.  Fixes PR#9906.

domestic/usr.sbin/kerberos/kerberos.c		1.7

  Fix several denial-of-service problems in the KDC.

usr.sbin/wiconfig/wiconfig.c			1.5-1.6

  Add support for the documented but unimplemented -a flag.
  Clean up argument parsing.

distrib/mac68k/instkernel/ramdisk/Makefile	1.4,1.6

  Make mac68k ramdisk build with or without obj dirs.

etc/etc.mac68k/Makefile.inc			1.5

  Build and install release notes under ``make release''.

sys/arch/mac68k/conf/GENERIC			1.101

  Enable rnd pseudo-device in mac68k GENERIC kernel.

sys/arch/mac68k/nubus/if_ae_nubus.c		1.29
sys/arch/mac68k/nubus/if_sn_nubus.c		1.20
sys/arch/mac68k/dev/if_snvar.h			1.14

  Add support for the Macintosh LC Ethernet Adapter.  This was
  previously erroneously recognized as an 8390-based card, where
  in fact it is using the 83932 (SONIC) controller.

sys/sys/lockf.h					1.8
sys/kern/vfs_lockf.c				1.15-1.16

  Fix several problems with byte-range locks, including the one
  reported in PR#3860.

lib/libbz2/decompress.c				1.9

  Pull in decompression error checking from bzip2-1.0.0.
  Fixes PR#8237.

distrib/notes/alpha/install			1.17

  Fix link to netboot web page.

sys/kern/vfs_syscalls.c				1.158

  Do not leave a vnode around when trying (and failing) to mount
  a file system with securelevel 2.  A second attempt would freeze
  the system.

sys/arch/mac68k/dev/zs.c			1.33

  Correct a bug in handling of CLOCAL and MDMBUF flags.

usr.sbin/dhcp/common/options.c			patch

  Quote shell meta-characters properly in generated scripts.
  Fixes SA#2000-008.

usr.sbin/mopd/mopd/process.c			1.6-1.7

  Fix bug which caused first load to fail.  Allow ``big'' VAXes to
  be mop-booted.

lib/libedit/el.c				1.17 via patch

  Only read .editrc from home directory.

sys/dev/raidframe/rf_map.c			1.5

  Remove an incorrect printf.

sys/netinet/ip_flow.c				1.16

  Pass the correct destination address for the route-to-gateway
  case.  Fixes PR#10483.

distrib/utils/x_sh/Makefile			patch

  Pull in test sources now that test is a shell builtin.

distrib/notes/common/main			patch

  Add major changes between 1.4.2 and 1.4.3.
  Tweaks for 1.4.3.

sys/conf/osrelease.sh				patch
sys/sys/param.h					patch

  Bump version to NetBSD-1.4.3_ALPHA.

sys/arch/mac68k/obio/grf_obio.c			1.43

  Add support for Quadra 605 on-board video.

sys/netinet/if_arp.c				1.63 partial, via patch

  Protect arp table handling with splnet() to avoid interrupt races
  when ip_flow is in use.  Fixes PR#10351.

lib/checkver					patch

  Handle use of ``tiny'' version numbers, to allow version bumps of
  shared libraries on a release branch without reusing version
  numbers.

share/man/man4/options.4			1.110
sys/arch/amiga/conf/GENERIC			1.146
sys/arch/amiga/conf/DRACO			regenerate
sys/arch/amiga/conf/AMIGA			regenerate
sys/arch/arm32/conf/GENERIC			1.70
sys/arch/i386/conf/DISKLESS			1.73
sys/arch/i386/conf/GENERIC			1.358
sys/arch/mac68k/conf/GENERIC			1.105
sys/arch/sparc/conf/GENERIC			1.112
sys/arch/sparc64/conf/GENERIC			1.39
sys/arch/sparc64/conf/GENERIC64			patch
sys/arch/sparc64/conf/NONPLUS			1.20
sys/arch/sparc64/conf/NONPLUS64			1.14

  Comment out EON ISO-over-ip tunneling pseudo-driver, and document 
  as broken/fragile.  Unlikely to be of much use, and confuses new
  users when their system crashes when they, or their dhclient
  stumble over it.  See PR#10500 and PR#8994 for the gory details.

share/mk/bsd.lib.mk				1.171 via patch
lib/checkver					1.11
lib/libterm/Makefile				1.24

  Introduce the optional ``teeny'' variable in shlib_version, so that
  we don't abuse the ``minor'' number to optionally include the
  ``teeny'' number.  Replace explicit ${SHLIB_MAJOR}.${SHLIB_MINOR}
  with ${SHLIB_FULLVERSION}.

lib/libc/string/strlcat.c			1.1-1.3
lib/libc/string/strlcpy.3			1.1-1.2
lib/libc/string/strlcpy.c			1.1-1.3
lib/libc/string/Makefile.inc			1.49
lib/libc/string/strcat.3			1.7
lib/libc/string/strcpy.3			1.8
lib/libc/shlib_version				patch
include/string.h				1.19-1.20
distrib/sets/lists/base/shl.mi			patch
distrib/sets/lists/comp/mi			patch

  Add strlcpy() and strlcat() to libc, bump its ``teeny'' version
  number.

usr.sbin/user/user.c				patch

  Make the ersatz strlcpy() conform to the official prototype.

sys/arch/alpha/conf/GENERIC			patch
sys/arch/i386/conf/GENERIC			patch

  Add entry for Alteon ACEnic gigabit Ethernet interface (ti).

sys/arch/i386/stand/dosboot/Makefile		1.14

  Enable ``old partition ID'' compatibility by default, just as in
  biosboot.

sys/dev/pci/if_ti.c				1.3

  Make the ti(4) driver compile again after the wi(4) related
  pullups of if_media.h changed IFM_1000_FX to IFM_1000_SX.

share/mk/bsd.lib.mk				patch

  Correct a typo.

domestic/lib/libacl/shlib_version		patch (new)
domestic/lib/libcom_err/shlib_version		patch (new)
domestic/lib/libdes/shlib_version		patch (new)
domestic/lib/libkadm/shlib_version		patch (new)
domestic/lib/libkafs/shlib_version		patch (new)
domestic/lib/libkdb/shlib_version		patch (new)
domestic/lib/libkrb/shlib_version		patch (new)
domestic/lib/libkstream/shlib_version		patch (new)
domestic/lib/libss/shlib_version		patch (new)
domestic/lib/libacl/Makefile			patch
domestic/lib/libcom_err/Makefile		patch
domestic/lib/libdes/Makefile			patch
domestic/lib/libkadm/Makefile			patch
domestic/lib/libkafs/Makefile			patch
domestic/lib/libkdb/Makefile			patch
domestic/lib/libkrb/Makefile			patch
domestic/lib/libkstream/Makefile		patch
domestic/lib/libss/Makefile			patch

  Use shlib_version files instead of specifying SHLIB_MAJOR and
  SHLIB_MINOR in the Makefiles, which does not work very well
  after the recent update of bsd.lib.mk.

distrib/sets/lists/comp/mi			patch

  Include <dev/pcmcia/if_wi_ieee.h> header file in distrib set.

sys/dev/pci/pcidevs				patch
sys/dev/pci/pcidevs.h				regenerate
sys/dev/pci/pcidevs_data.h			regenerate

  Add Intel i810 PCI ID, and a few PCI IDE controllers.

distrib/notes/i386/hardware			patch
share/man/man4/pciide.4				patch
sys/arch/macppc/dev/wdc_obio.c			patch
sys/dev/ata/ata.c				patch
sys/dev/ata/ata_wdc.c				patch
sys/dev/ata/atareg.h				patch
sys/dev/ata/atavar.h				patch
sys/dev/ata/wd.c				patch
sys/dev/ata/wdvar.h				patch
sys/dev/ic/wdc.c				patch
sys/dev/ic/wdcvar.h				patch
sys/dev/isa/wdc_isa.c				patch
sys/dev/pci/pciide.c				patch
sys/dev/pci/pciide_acer_reg.h			patch
sys/dev/pci/pciide_amd_reg.h			patch (new)
sys/dev/pci/pciide_apollo_reg.h			patch
sys/dev/pci/pciide_cmd_reg.h			patch
sys/dev/pci/pciide_cy693_reg.h			patch
sys/dev/pci/pciide_hpt_reg.h			patch (new)
sys/dev/pci/pciide_opti_reg.h			patch (new)
sys/dev/pci/pciide_pdc202xx_reg.h		patch (new)
sys/dev/pci/pciide_piix_reg.h			patch
sys/dev/pci/pciide_sis_reg.h			patch
sys/dev/pci/pciidereg.h				patch
sys/dev/pci/pciidevar.h				patch
sys/dev/scsipi/atapi_wdc.c			patch
sys/dev/scsipi/atapiconf.h			patch

  Add support for the following PCIIDE controllers:
   o AMD 756
   o CMD PCI0648 and PCI0649
   o Hightpoint HPT366
   o OPTi 82c621 (and a few of its derivatives)
   o Promise Ultra/33 and Ultra/66
   o Intel 82801 (ICH/ICH0)
  Also fix PR#10437 (detect more ATAPI devices).

sbin/mount/mount.8				1.27-1.28

  Add an EXAMPLES section to the mount(8) manual page.
  Fixes PR#10232.

lib/libc/sys/nanosleep.2			1.3

  Provide text in the DESCRIPTION section.
  Fixes PR#10072.

distrib/notes/common/main			patch

  Note that we support several new PCI IDE controllers in
  the ``notable changes'' section.

distrib/sets/lists/base/md.sparc		patch

  Remove erroneous whitespace for the boot.* entries.

libexec/ftpd/ftpd.c				1.97

  Do not use user-supplied data as format string to setproctitle().
  Fixes SA#2000-009.

sys/arch/macppc/pci/pciide_machdep.c		patch

  Include pciidereg.h so that this file compiles again.

sys/arch/sparc/stand/Makefile.booters		patch
sys/arch/sparc/stand/Makefile.buildboot		patch
distrib/sets/lists/base/md.sparc		patch

  Move the sparc boot loader close to the 4M limit, so that we
  can boot the sysinst kernel without bumping into the boot
  loader, and without exceeding the first 4M physical memory
  bank.  Fixes PR#10059.

share/man/man4/ti.4				patch

  Say that this driver currently does not work on big-endian
  systems, and remove ambiguity about when it was introduced.

distrib/sets/makesums				1.1 (new)
distrib/i386/Makefile				1.1 (new)
etc/Makefile				1.119,1.123,1.135-1.136 via patch
etc/etc.i386/Makefile.inc			1.15-1.16,1.21 via patch

  Enhance the ``make release'' process:
   o Build install notes on all platforms, put into release tree
   o Document BUILD_KERNELS in etc/Makefile
   o Always build GENERIC, and install the kernel in the kernel
     release directory; checksum the kernel(s) there
   o Use a separate script to compute checksums

distrib/x68k/floppies/Makefile			1.6 via patch
distrib/x68k/floppies/bootfloppy-common/Makefile.inc	patch
distrib/x68k/floppies/ramdisk/Makefile		1.13 via patch
etc/etc.x68k/Makefile.inc			1.7 via patch

  Automatically descend to the distrib dir in ``make release''.

distrib/sparc/bootfs/Makefile			patch

  Use the boot loader at 3E0000 instead of 700000, to allow booting
  on machines with only 4M in the first physical memory bank.

etc/etc.sparc/Makefile.inc			patch
distrib/sparc/Makefile				patch
etc/etc.alpha/Makefile.inc			1.1 via patch (new)
sys/arch/alpha/stand/netboot/Makefile		patch
etc/etc.hp300/Makefile.inc			1.7
sys/arch/hp300/stand/Makefile			1.24
sys/arch/hp300/stand/Makefile.inc		1.9
sys/arch/hp300/stand/inst/Makefile		1.3
sys/arch/hp300/stand/uboot/Makefile		1.3
etc/etc.macppc/Makefile.inc			1.1-1.2 via patch (new)
distrib/macppc/Makefile				patch (new)
sys/arch/macppc/stand/ofwboot/Makefile		patch
sys/arch/macppc/stand/Makefile			patch
sys/arch/macppc/stand/Makefile.inc		patch

  Enhance the ``make release'' process:  
   o Make installation directories
   o Build and install the distrib and boot bits

sys/arch/sparc/stand/common/dvma.c		1.7-1.8

  Account for stack when computing base VA; fixes booting on sun4
  systems.  Fixes PR#9906 and PR#10165

share/man/man7/hier.7				1.27

  Clarify purpose of manual page, and fix a few other minor problems.
  Fixes PR#8980.

sys/dev/isa/if_iy.c				1.40

  Flush memory pipeline before installing the multicast list.
  Fixes a problem causing a random address to be installed as
  the last one in the multicast filter list.

distrib/sun3/MakeBootTape			1.5-1.6
distrib/sun3/miniroot/Makefile			1.18    

  Fixes to release building machinery:
   o ramdisk kernel names changed
   o make installation/miniroot directory

usr.sbin/dhcp/client/Makefile			patch
usr.sbin/dhcp/client/clparse.c			patch
usr.sbin/dhcp/client/dhclient.c			patch
usr.sbin/dhcp/includes/dhcpd.h			patch

  Instead of creating a temporary client script, put environment
  settings in the environment before the real client script is
  executed.

sys/dev/pci/pciide.c				1.74
share/man/man4/pciide.4				1.22 via patch
distrib/notes/i386/hardware			1.74 via patch

  Add support for the Promise Ultra/100 PCI IDE controller (in
  Ultra/66 mode only).

sys/dev/pci/pciide.c				1.79

  Handle CMD PCI0646 interrupts as for the PCI0648; makes the
  PCI0646 work in native mode with shared interrupts.

sys/dev/pci/pcidevs				1.214,1.245
sys/dev/pci/pcidevs_data.h			regenerate
sys/dev/pci/pcidevs.h				regenerate

  Add product codes for various Yamaha audio chips.

usr.sbin/dhcp/CHANGES				patch (new)
usr.sbin/dhcp/Makefile				patch
usr.sbin/dhcp/README				patch
usr.sbin/dhcp/RELNOTES				patch
usr.sbin/dhcp/client/Makefile			patch
usr.sbin/dhcp/client/clparse.c			patch
usr.sbin/dhcp/client/dhclient-script.8		patch
usr.sbin/dhcp/client/dhclient.c			patch
usr.sbin/dhcp/client/scripts/freebsd		patch
usr.sbin/dhcp/common/Makefile			patch
usr.sbin/dhcp/common/bpf.c			patch
usr.sbin/dhcp/common/dhcp-options.5		patch
usr.sbin/dhcp/common/dispatch.c			patch
usr.sbin/dhcp/common/dlpi.c			patch
usr.sbin/dhcp/common/dns.c			deleted
usr.sbin/dhcp/common/ethernet.c			patch (new)
usr.sbin/dhcp/common/lpf.c			patch
usr.sbin/dhcp/common/memory.c			patch
usr.sbin/dhcp/common/packet.c			patch
usr.sbin/dhcp/common/raw.c			patch
usr.sbin/dhcp/common/resolv.c			deleted
usr.sbin/dhcp/common/socket.c			patch
usr.sbin/dhcp/common/sysconf.c			deleted
usr.sbin/dhcp/common/tables.c			patch
usr.sbin/dhcp/common/tr.c			patch (new)
usr.sbin/dhcp/includes/cf/aix.h			patch
usr.sbin/dhcp/includes/cf/alphaosf.h		patch
usr.sbin/dhcp/includes/cf/hpux.h		patch
usr.sbin/dhcp/includes/cf/irix.h		patch (new)
usr.sbin/dhcp/includes/cf/linux.h		patch
usr.sbin/dhcp/includes/dhcpd.h			patch
usr.sbin/dhcp/includes/netinet/if_ether.h	patch
usr.sbin/dhcp/includes/osdep.h			patch
usr.sbin/dhcp/includes/version.h		patch (new)
usr.sbin/dhcp/relay/dhcrelay.c			patch
usr.sbin/dhcp/server/bootp.c			patch
usr.sbin/dhcp/server/confpars.c			patch
usr.sbin/dhcp/server/db.c			patch
usr.sbin/dhcp/server/dhcp.c			patch
usr.sbin/dhcp/server/dhcpd.c			patch
usr.sbin/dhcp/server/dhcpd.conf.5		patch
usr.sbin/dhcp/statmsg/Makefile			deleted
usr.sbin/dhcp/statmsg/main.c			deleted
usr.sbin/dhcp/statmsg/statmsg.8			deleted
usr.sbin/dhcp/sysconfd/Makefile			deleted
usr.sbin/dhcp/sysconfd/sysconfd.8		deleted
usr.sbin/dhcp/sysconfd/sysconfd.c		deleted

  Merge/update DHCP client and server software to ISC 2.0pl3.

sys/dev/pci/pciide.c				1.80

  Make pciide compile with ``options PCIIDE_AMD756_ENABLEDMA.''
  Fixes PR#10555.

sys/msdosfs/msdosfs_vnops.c			1.100

  Fix too many vrele()'s of fdvp in some error cases.
  Fixes PR#10312.

sys/msdosfs/msdosfs_vnops.c			1.101

  Silently ignore uid/gid changes, instead of returning EINVAL.
  Fixes PR#9990.

sys/dev/pci/pciide.c				1.81
distrib/notes/i386/hardware			1.75 via patch
share/man/man4/pciide.4				1.23
sys/dev/pci/pciide_hpt_reg.h			1.2
  
  Clear the interrupt disable bit of the HPT370, and document HPT370
  support.

etc/etc.x68k/Makefile.inc			patch
distrib/x68k/floppies/bootfloppy-common/Makefile.inc patch
distrib/x68k/floppies/ramdisk/Makefile		patch
distrib/x68k/Makefile				1.1-1.2 (new)

  Improve ``make release'' target, following the MI changes.

sys/dev/mii/nsphy.c				1.28

  Fix autonegotiation problem with some fxp cards.  Fixes PR#10550.

usr.sbin/pkg_install/README			1.4
usr.sbin/pkg_install/add/add.h			1.5
usr.sbin/pkg_install/add/extract.c		1.21-1.22
usr.sbin/pkg_install/add/main.c			1.15
usr.sbin/pkg_install/add/perform.c		1.46-1.52
usr.sbin/pkg_install/admin/main.c		1.12-1.13
usr.sbin/pkg_install/admin/pkg_admin.1		1.8-1.9
usr.sbin/pkg_install/create/pkg_create.1	1.23-1.24
usr.sbin/pkg_install/create/pl.c		1.17-1.19
usr.sbin/pkg_install/delete/main.c		1.14-1.16
usr.sbin/pkg_install/delete/perform.c		1.31
usr.sbin/pkg_install/delete/pkg_delete.1	1.15-1.16
usr.sbin/pkg_install/info/main.c		1.21-1.23
usr.sbin/pkg_install/info/perform.c		1.31
usr.sbin/pkg_install/info/pkg_info.1		1.22
usr.sbin/pkg_install/lib/file.c			1.38
usr.sbin/pkg_install/lib/ftpio.c		1.19-1.21 via patch
usr.sbin/pkg_install/lib/pen.c			1.17
usr.sbin/pkg_install/lib/pkgdb.c		1.7
usr.sbin/pkg_install/lib/plist.c		1.23-1.27
usr.sbin/pkg_install/lib/str.c			1.22-1.23
  
  Update pkg_install tools by bringing in bug fixes and feature
  additions since the last release.  Fixes PR#10083 and PR#10687
  and a number of problems not formally reported.

sys/msdosfs/msdosfs_vnops.c			1.102 via patch

  Do not report archived files as having SF_ARCHIVED set, as the
  semantics between Unix and MS-DOS/Windows differ significantly
  on how to interpret this flag.  Fixes PR#8439.

usr.sbin/pkg_install/lib/ftpio.c		1.10-1.12 via patch

  Sync up to main development branch.

sys/netinet/ip_fil.c				1.56 via patch

  Properly report initialization error.  Enable IPF automatically
  if it wasn't already enabled before doing a NAT operation.

lib/libc/net/gethnamaddr.c			1.36

  Prevent host_addrs overrun, possibly provoked by rogue NIS server.

share/mk/bsd.lib.mk				1.173 via patch

  Make shared library support work if shlib_version file is missing.
  Fixes PR#10556.

lib/checkver					1.12
lib/checkvers					1.5

  Output ignorable error messages to /dev/null.

sys/dev/scsipi/atapi_wdc.c			1.38

  If SET_FEATURE for piomode is rejected, fall back to mode 0
  instead of giving up.  Works around "piomode error (0x4)" problem
  with some ATAPI ZIP drives.

sys/dev/pci/pciide.c				1.82-1.83
sys/dev/pci/pciide_cmd_reg.h			1.8-1.9

  Add UltraDMA support for the CMD PCI0646U and PCI0646U2 controllers;
  normally disabled on PCI0646U due to a chip bug, but can be
  enabled with a kernel option.

sys/dev/pci/pciide.c				1.84 via patch
sys/dev/pci/files.pci				1.101 via patch

  Change PCIIDE_CMD0646U_UDMA to PCIIDE_CMD0646U_ENABLEUDMA
  for consistency with PCIIDE_AMD756_ENABLEDMA.

share/man/man4/pciide.4				1.24

  Document PCIIDE_CMD0646U_ENABLEUDMA.

sys/arch/hp300/dev/ite.c			1.44

  Fix keyboard related panic when ite device is configured
  but not attached.  Fixes PR#10750.

sys/netinet/ip_fil.c				1.57

  Make this compile as part of ipftest (non-kernel).

sys/compat/linux/common/linux_misc.c		1.63
sys/compat/linux/arch/i386/syscalls.master	1.40
sys/compat/linux/arch/i386/linux_syscall.h	regenerate
sys/compat/linux/arch/i386/linux_syscallargs.h	regenerate
sys/compat/linux/arch/i386/linux_sysent.c	regenerate
sys/compat/linux/arch/i386/linux_syscalls.c	regenerate

  Enable basic versions of Linux fsuid calls.  Fixes PR#9335.

lib/libc/net/res_send.c				1.31

  Do not try to retransmit forever in EINTR-busy situation.
  Fixes PR#6410.

share/man/man4/tun.4				1.6

  Fix formatting glitches.

share/mk/bsd.man.mk				1.54

  Do not test $UPDATE nor file existence on MLINKS installation,
  so that original manual page and links do not get out of sync.

sys/nfs/nfs_vnops.c				patch

  Be careful about data consistency across operations which may
  block.  Should fix some reported nfs_lookup panics.

distrib/utils/Makefile				patch

  Don't build libhack in its own directory; build it where it's
  used instead.

distrib/sets/makesums				1.2

  Add -all option, and improve intelligence about which files to
  checksum.

lib/csu/c++/Makefile				patch
gnu/lib/libstdc++/Makefile			patch
distrib/notes/common/main			patch

  Compile c++rt0.o with -fPIC on sparc.  This means that C++ shared
  libraries with global constructors (which must link c++rt0.o on
  sparc/a.out) must also be compiled -fPIC.

distrib/sparc/ramdisk/Makefile			patch

  Make this build with obj directories.

sys/compat/ossaudio/ossaudio.c			1.32 via patch
lib/libossaudio/ossaudio.c			1.12 via patch

  Use accurate rounding in conversion between OSS and NetBSD
  volume values.  Fixes among other things PR#10818.

sbin/fsck_ffs/dir.c				1.27

  Fix an evil ugly bug which causes files placed into lost+found
  to be inconsistent, and unremovable.

Makefile					1.109,1.120 via patch

  Make it easier on release builders -- descend into "distrib"
  directory whenever "obj" or "cleandir" targets are invoked.

distrib/notes/common/sysinst			patch

  Correct markup error.

distrib/sets/lists/base/mi			1.156 via patch
distrib/sets/lists/base/obsolete.mi		1.7 via patch
distrib/sets/lists/man/mi			1.226 via patch
distrib/sets/lists/man/obsolete.mi		1.9 via patch

  "sysconfd" and "statmsg" are now obsolete.

distrib/notes/common/main			1.75 via patch

  Add new developers.

bin/ls/ls.c					1.37

  Exit with non-zero status if an error was encountered.  Fixes
  PR#7514.

lib/libc/gen/sysconf.3	 			1.15

  Correct description of _SC_OPEN_MAX: it sets the limit per process,
  not per user id.

share/man/man8/compat_osf1.8			1.2-1.4

  Update documentation of our OSF/1 compat on alpha.  Fixes PR#9060.

sys/compat/common/compat_util.c			1.16
sys/compat/hpux/hpux_file.c			1.14
sys/compat/ibcs2/ibcs2_misc.c			1.52
sys/compat/ibcs2/ibcs2_stat.c			1.16
sys/compat/linux/common/linux_file.c		1.29
sys/compat/linux/common/linux_misc_notalpha.c	1.58
sys/compat/svr4/svr4_stat.c			1.40
sys/compat/svr4/svr4_stream.c			1.40-1.41

  More carefully check length of user-supplied data, in particular
  make sure we don't overrun the available stack gap in stack gap
  allocations.

sys/arch/amiga/dev/aucc.c			1.26

  Use the correct DMA pointer for the second channel on 14-bit
  byte-swapped conversion.  Fixes NULL pointer reference crash
  when playing 16-bit little-endian audio.

sys/uvm/uvm_unix.c				1.16 via patch

  In uvm_coredump(), avoid dumping parts of the stack multiple
  times while skipping parts of the stack that hasn't been used.

lib/libc/arch/i386/sys/ptrace.S			1.12

  Update old syscall stubs to match the new cerror interface.
  Fixes PR#10789 and PR#9664.

Makefile					patch

  Back out ``TARGETS+= release'' part of last change; the rest of
  the tree is not ready for this change.

distrib/utils/sysinst/arch/i386/md.h		patch

  Update with the "last extension of split files" to account for
  changes in distribution set sizes.

distrib/notes/common/sysinst			patch

  Properly align IRQ num/mask heading, and work around font change
  problem.

sys/dev/pci/if_ex_pci.c				1.13
sys/dev/pci/pcidevs				1.247
sys/dev/pci/pcidevs.h				regenerate
sys/dev/pci/pcidevs_data.h			regenerate

  Recognize 3Com's Home Connect (3c450) and Office Connect (3cSOHO100)
  Ethernet cards.

lib/libc/time/strftime.c			1.11

  Do not ignore tm_zone field of last parameter, and convert "%Z"
  in format as proper time zone.  Fixes PR#10950.

distrib/notes/common/main			patch

  Update of
   o ``Major Changes'' section for 1.4.3
   o crypto regulations relaxation
   o source set sizes

distrib/notes/common/contents			patch

  Update of i386 binary set sizes.

usr.sbin/user/user.c				1.13

  Make the ``-d homedir'' option work.  Fixes PR#10401.

distrib/notes/common/main			patch

  Pull up still relevant entries from 1.4.2 for the 1.4.3 ``caveats''
  section.

lib/libc/time/strftime.c			1.9-1.10

  Fix %k and %e to print a 0 for hour 0, not just spaces.  Fixes
  PR#5057.  Add the C99 %F conversion.

sys/conf/osrelease.sh				patch
gnu/usr.bin/send-pr/Makefile			patch

  Mark this as 1.4.3.

distrib/sparc/ramdisk/Makefile			patch

  Fix build problem caused by double use of ${.CURDIR}.

sys/arch/hp300/stand/mkboot/Makefile		patch

  Fix build problem during ``make release'', caused by missing
  just-cleaned executable in the release phase.

sys/arch/pmax/tc/scc.c				1.50

  Make this compile again with no rcons.

share/man/man8/man8.amiga/Makefile		1.7
distrib/sets/lists/man/md_share			1.99-1.100

  Build, install, and include in distribution the manual page for
  the Amiga boot procedure.

distrib/pmax/instkernel/Makefile		1.12 via patch (partial)

  Install the ecoff install kernel in the release directory.

distrib/notes/Makefile.inc			patch

  Make sure install notes are built before installing them under
  ``make release''.

usr.sbin/lpr/lpd/printjob.c			1.23-1.24

  Fix potential syslog() format string hole.

usr.sbin/mopd/mopd/process.c			1.8-1.9

  Close buffer overrun, format string problems.

lib/libc/nls/catopen.c				1.17-1.18
lib/libc/locale/setlocale.c			1.20-1.21

  Ignore NLSPATH, PATH_LOCALE if issetugid().
  Disallow `/' in LC_* and LANG environment variables.
  Close one-byte buffer-overrun in catopen().

lib/libutil/passwd.c				1.25

  Close possible format-string hole.

lib/libkvm/kvm.c				1.68
lib/libkvm/kvm_private.h			1.10
lib/libkvm/kvm_proc.c				1.41-1.42 via patch

  Format string audit.

usr.bin/top/top.c				1.5

  Plug possible printf string format issue.

lib/libkvm/kvm_sparc.c				1.24

  Fix mismatched int vs. long format error.

lib/libc/sys/Makefile.inc			1.100
include/unistd.h				1.84
sys/kern/kern_prot.c				1.57
sys/kern/syscalls.master			1.101 via patch
sys/kern/init_sysent.c				regenerate
sys/kern/syscalls.c				regenerate
sys/sys/syscall.h				regenerate
sys/sys/syscallargs.h				regenerate
lib/libc/sys/issetugid.2			1.1-1.2 via patch
lib/libc/sys/Makefile.inc			1.101 via patch
lib/libc/shlib_version				patch
distrib/sets/lists/base/shl.mi			patch
distrib/sets/lists/comp/mi			1.214 via patch

  Introduce the issetugid() system call.
  Bump libc's tiny number to 2.

domestic/libexec/ftpd/Makefile			1.3
domestic/libexec/telnetd/Makefile		patch
domestic/usr.bin/kdestroy/Makefile		1.3 via patch
domestic/usr.bin/kinit/Makefile			1.5 via patch
domestic/usr.bin/klist/Makefile			1.3 via patch
domestic/usr.bin/login/Makefile			patch
domestic/usr.bin/rlogin/Makefile		patch
domestic/usr.bin/su/Makefile			patch
domestic/usr.bin/telnet/Makefile		patch
domestic/usr.sbin/ext_srvtab/Makefile		1.5 via patch
domestic/usr.sbin/kdb_edit/Makefile		1.5 via patch
domestic/usr.sbin/kdb_init/Makefile		1.5 via patch
domestic/usr.sbin/kdb_util/Makefile		1.5 via patch
domestic/usr.sbin/kerberos/Makefile		1.5 via patch
domestic/usr.sbin/kprop/Makefile		1.6 via patch
domestic/usr.sbin/kpropd/Makefile		1.6 via patch
domestic/usr.sbin/kstash/Makefile		1.5 via patch

  Kerberos IV needs libcom_err, so explicitly list it.
  Add DPADD+= where missing.

bin/csh/dir.c					1.16
dist/bind/bin/dig/dig.c				1.2
dist/bind/bin/host/host.c			1.3

  Format string cleanup.

usr.bin/passwd/yp_passwd.c			patch

  Make this program actually able to change the YP password.

dist/bind/bin/named-xfer/named-xfer.c		1.2
dist/bind/bin/named/db_dump.c			1.2
dist/bind/bin/named/db_glue.c			1.2
dist/bind/bin/named/db_load.c			1.2
dist/bind/bin/named/db_update.c			1.2
dist/bind/bin/named/ns_ctl.c			1.2
dist/bind/bin/named/ns_forw.c			1.2
dist/bind/bin/named/ns_func.h			1.3
dist/bind/bin/named/ns_glob.h			1.2
dist/bind/bin/named/ns_glue.c			1.2
dist/bind/bin/named/ns_ixfr.c			1.2
dist/bind/bin/named/ns_lexer.c			1.2
dist/bind/bin/named/ns_lexer.h			1.2
dist/bind/bin/named/ns_main.c			1.6
dist/bind/bin/named/ns_maint.c			1.2
dist/bind/bin/named/ns_parser.y			1.2
dist/bind/bin/named/ns_resp.c			1.2
dist/bind/bin/named/ns_stats.c			1.2
dist/bind/bin/named/ns_update.c			1.2
dist/bind/bin/ndc/ndc.c				1.2
dist/bind/include/isc/ctl.h			1.2
dist/bind/include/isc/logging.h			1.2
dist/bind/lib/dst/dst_api.c			1.2
dist/bind/lib/dst/dst_internal.h		1.2
dist/bind/lib/irs/irp_p.h			1.2
dist/bind/lib/isc/ev_files.c			1.2
dist/bind/lib/isc/ev_timers.c			1.2
dist/bind/lib/isc/ev_waits.c			1.2
dist/bind/lib/isc/eventlib.c			1.2
dist/bind/lib/isc/eventlib_p.h			1.2
dist/bind/lib/resolv/res_findzonecut.c		1.2
dist/bind/lib/resolv/res_send.c			1.2
dist/bind/lib/resolv/res_update.c		1.2
dist/ipf/ipt.h					1.3
lib/Makefile.inc				1.2
lib/libc/time/private.h				1.15
lib/libpcap/bpf_image.c				1.6
libexec/Makefile.inc				1.5
libexec/ld.elf_so/reloc.c			patch
libexec/ld.elf_so/rtld.h			1.28
libexec/ld.elf_so/symbol.c			patch
libexec/mail.local/mail.local.c			1.17
libexec/rexecd/rexecd.c				1.7
libexec/rmail/rmail.c				1.14
libexec/rshd/rshd.c				1.20 via patch
libexec/telnetd/state.c				1.13
libexec/telnetd/utility.c			1.15
sbin/Makefile.inc				1.14
sbin/atactl/atactl.c				1.10
sbin/ccdconfig/ccdconfig.c			1.32
sbin/disklabel/disklabel.c			1.89 via patch
sbin/dump/dump.h				1.20
sbin/dump/main.c				1.26
sbin/dump/optr.c				1.14
sbin/dump/rcache.c				1.5
sbin/dump/tape.c				1.22-1.23
sbin/fsck/fsutil.c				1.8
sbin/fsck_ext2fs/utilities.c			1.5
sbin/fsck_ffs/utilities.c			1.27
sbin/fsck_lfs/utilities.c			1.6
sbin/fsck_msdos/ext.h				1.7
sbin/fsck_msdos/fat.c				1.12 via patch
sbin/fsck_msdos/fat.c				patch
sbin/fsdb/fsdb.c				1.17
sbin/mount/mount.c				1.50 via patch
sbin/newfs/newfs.c				1.39
sbin/newfs_lfs/extern.h				1.3
sbin/newfs_lfs/lfs.c				1.20
sbin/newfs_lfs/newfs.c				1.5
sbin/ping/ping.c				1.57 via patch
sbin/raidctl/rf_configure.c			1.11 via patch
sbin/restore/extern.h				1.7
sbin/route/show.c				1.15
sbin/routed/main.c				1.25

  Format string cleanup.

gnu/dist/gcc/c-common.c				1.7

  Allow NULL format strings except under pedantic checking,
  so that we may check the err() formats.

libexec/talkd/announce.c			1.12

  Make sure big_buf is big enough to hold output.

sbin/restore/tape.c				1.40-1.41

  Make restore correctly handle large dumps with large inode maps.
  Fixes PR#11188.

usr.sbin/pkg_install/tkpkg			1.5
usr.sbin/pkg_install/add/main.c			1.16
usr.sbin/pkg_install/add/perform.c		1.53-1.55
usr.sbin/pkg_install/add/pkg_add.1		1.20
usr.sbin/pkg_install/admin/main.c		1.14
usr.sbin/pkg_install/create/perform.c		1.23
usr.sbin/pkg_install/info/perform.c		1.32
usr.sbin/pkg_install/lib/Makefile		1.14
usr.sbin/pkg_install/lib/file.c			1.39-1.42
usr.sbin/pkg_install/lib/ftpio.c		1.22-1.26
usr.sbin/pkg_install/lib/lib.h			1.30-1.31

  Synchronize to version of pkg_install on trunk.

sys/arch/hp300/dev/hil.c                        1.41    
sys/arch/hp300/dev/hilvar.h                     1.16    
sys/arch/hp300/dev/rd.c                         1.44
sys/arch/hp300/dev/rdvar.h                      1.10
sys/arch/hp300/dev/sd.c                         1.44
sys/arch/hp300/dev/sdvar.h                      1.9
 
  Add randomness sampling for hil, sd and rd on the hp300 port.

usr.bin/hexdump/parse.c				1.9

  Fix string length computation bug.  Fixes PR#8676.

etc/etc.x68k/MAKEDEV				1.30

  Use rcd0c instead of rcd0d (x68k rawpart correction).

distrib/notes/common/main			patch

  Mention new system call requiring kernel upgrade before user-land
  upgrade.  Also mention format audit and fixes as a major change.

domestic/lib/libkrb/klog.c			patch
domestic/lib/libkrb/log.c			patch
domestic/usr.sbin/kdb_init/kdb_init.c		patch
domestic/usr.sbin/kerberos/kerberos.c		patch

  Minimal Y2K fixup.  Don't expire database before 2005, and
  correct some logging output.  Fixes PR#9095.

distrib/notes/common/main			patch

  Add a caveat that the compiler needs to be updated for a source
  based upgrade.

sys/ufs/mfs/mfs_vfsops.c			1.29-1.30 via patch

  Move handling of outstanding I/O requests to before the check for
  unmounting the file system.  Fixes PR#10122.

usr.bin/chpass/pw_yp.c				1.16-1.17

  Plug warn() call with variable only.

usr.bin/indent/io.c				1.10

  The type of the difference between pointers is implementation-
  defined (long on sparc and int on most others).  Compensate when
  printing.

usr.sbin/mtree/create.c				1.27 via patch

  Format string cleanup for LP64.

usr.sbin/config/config.h			1.51 via patch
usr.sbin/config/util.c				1.14 via patch

  Format string cleanup.

share/misc/airport				1.12-1.15

  Various updates, synchronize to current head.

usr.sbin/traceroute/traceroute.c		1.40

  Avoid using savestr() on something which will later be passed to
  free().  Raised as a potential security issue on bugtraq.  No
  actual exploits known.

include/nl_types.h				1.9

  Allow passthrough format-string checking of catgets, as part
  of format string audit.

gnu/dist/gcc/c-common.c				1.9-1.10
gnu/dist/gcc/c-decl.c				1.7-1.9
gnu/dist/gcc/c-tree.h				1.3
gnu/dist/gcc/cp/decl2.c				1.5
gnu/dist/gcc/toplev.c				1.2-1.3
 
  Implement enhanced format string checking.  New options:
  -Wnetbsd-format-audit and -Wno-format-extra-args.

usr.bin/Makefile.inc				1.6
usr.bin/compress/compress.c			1.18
usr.bin/error/Makefile				1.4
usr.bin/error/touch.c				1.10
usr.bin/file/Makefile				1.26
usr.bin/ftp/extern.h				1.60 via patch
usr.bin/hexdump/Makefile			1.6
usr.bin/id/Makefile				1.9
usr.bin/indent/Makefile				1.5
usr.bin/jot/Makefile				1.3
usr.bin/kdump/Makefile				1.15 via patch
usr.bin/lam/Makefile				1.3
usr.bin/less/less/Makefile			1.8
usr.bin/lex/Makefile				1.20
usr.bin/lex/main.c				1.13
usr.bin/lex/misc.c				1.11
usr.bin/m4/Makefile				1.9
usr.bin/m4/eval.c				1.12
usr.bin/make/Makefile				1.21
usr.bin/make/nonints.h				1.19
usr.bin/make/parse.c				1.53
usr.bin/man/Makefile				1.7
usr.bin/menuc/defs.h				1.4
usr.bin/mkstr/mkstr.c				1.9
usr.bin/netstat/atalk.c				1.6
usr.bin/netstat/if.c				1.45
usr.bin/netstat/iso.c				1.20
usr.bin/netstat/ns.c				1.12
usr.bin/netstat/route.c				1.50 via patch
usr.bin/nl/Makefile				1.2
usr.bin/patch/Makefile				1.6
usr.bin/patch/util.c				1.8
usr.bin/patch/util.h				1.5
usr.bin/printf/Makefile				1.7
usr.bin/rdist/defs.h				1.13
usr.bin/rdist/server.c				1.19
usr.bin/rpcgen/rpc_cout.c			1.17
usr.bin/rpcgen/rpc_hout.c			1.14
usr.bin/rpcgen/rpc_main.c			1.17
usr.bin/rpcgen/rpc_svcout.c			1.11
usr.bin/rpcgen/rpc_tblout.c			1.8
usr.bin/rs/rs.c					1.6
usr.bin/sed/extern.h				1.6
usr.bin/shlock/shlock.c				1.5
usr.bin/systat/extern.h				1.25 via patch
usr.bin/tail/extern.h				1.5
usr.bin/tip/tip.c				1.23
usr.bin/top/display.h				1.4
usr.bin/tput/tput.c				1.14
usr.bin/tset/tset.c				1.12 via patch
usr.bin/vi/common/msg.c				1.4
usr.bin/vi/ex/ex_print.c			1.8
usr.bin/vi/ex/ex_visual.c			1.8
usr.bin/vi/include/common_extern.h		1.4
usr.bin/vi/include/ex_extern.h			1.4
usr.bin/w/pr_time.c				1.10
usr.bin/xlint/lint1/Makefile			1.12
usr.bin/xlint/lint1/externs1.h			1.10
usr.bin/xlint/lint2/Makefile			1.7
usr.bin/yacc/defs.h				1.8
usr.bin/yacc/output.c				1.8
usr.bin/yacc/reader.c				1.9
usr.sbin/amd/hlfsd/hlfsd.c			1.9
usr.sbin/amd/include/am_utils.h			1.9
usr.sbin/amd/libamu/mount_fs.c			1.2
usr.sbin/amd/libamu/xutil.c			1.6 1.7
usr.sbin/arp/arp.c				1.26
usr.sbin/bind/Makefile.inc			1.7
usr.sbin/bootp/bootpd/bootpd.c			1.13
usr.sbin/bootp/bootptest/getether.c		1.4
usr.sbin/bootp/common/dovend.c			1.4
usr.sbin/bootp/common/hwaddr.c			1.5
usr.sbin/bootp/common/report.c			1.5
usr.sbin/bootp/common/report.h			1.4
usr.sbin/dhcp/client/dhclient.c			1.33 via patch
usr.sbin/dhcp/relay/dhcrelay.c			1.7 via patch
usr.sbin/dhcp/server/dhcpd.c			1.23 via patch
usr.sbin/gspa/gspa/gsp_ass.h			1.7
usr.sbin/gspa/gspa/gspa.c			1.7
usr.sbin/lpr/common_source/displayq.c		1.18
usr.sbin/lpr/common_source/lp.h			1.15
usr.sbin/lpr/lpd/printjob.c			1.25 via patch
usr.sbin/lpr/lpd/recvjob.c			1.12
usr.sbin/lpr/lpr/lpr.c				1.19
usr.sbin/map-mbone/mapper.c			1.5
usr.sbin/mrinfo/mrinfo.c			1.8
usr.sbin/mrouted/cfparse.y			1.6
usr.sbin/mrouted/defs.h				1.8
usr.sbin/mrouted/main.c				1.13
usr.sbin/mtrace/mtrace.c			1.15
usr.sbin/mtree/create.c				1.26 via patch
usr.sbin/mtree/extern.h				1.8
usr.sbin/pppd/pppd/options.c			1.34 via patch
usr.sbin/pstat/pstat.c				1.53 via patch
usr.sbin/rarpd/rarpd.c				1.39
usr.sbin/rbootd/utils.c				1.12
usr.sbin/rpc.lockd/lock_proc.c			1.7 via patch
usr.sbin/rwhod/rwhod.c				1.18
usr.sbin/sup/source/log.c			1.6 via patch
usr.sbin/sup/source/supextern.h			1.13 via patch
usr.sbin/tcpdchk/percent_m.h			1.2
usr.sbin/tcpdump/print-bootp.c			1.7
usr.sbin/user/user.c				1.25
usr.sbin/ypbind/ypbind.c			1.43

  Format string cleanup.

lib/libc/net/ethers.c				1.19 via patch

  Construct format string at compile time.

usr.sbin/dhcp/common/errwarn.c			patch
usr.sbin/dhcp/includes/dhcpd.h			patch
usr.sbin/mrinfo/mrinfo.c			1.9
usr.sbin/mtrace/mtrace.c			1.16

  Add ``const'' at appropriate places to make it compile again.

usr.bin/systat/fetch.c				1.8
usr.sbin/mrouted/prune.c			1.7
usr.sbin/mrouted/vif.c				1.8
usr.bin/kdump/kdump.c				patch
usr.bin/window/lcmd2.c				1.11

  Fix format / arg mismatch.

usr.bin/chpass/chpass.c				patch
usr.bin/chpass/pw_yp.c				patch

  Change password database information without turning off the user
  when using secure YP maps.

domestic/lib/libkrb/decomp_ticket.c		1.6
domestic/lib/libkrb/get_ad_tkt.c		1.6
domestic/lib/libkrb/krb_get_in_tkt.c		1.6
domestic/lib/libkrb/kuserok.c			1.5
domestic/lib/libkrb/rd_req.c			1.6

  Fix possible buffer overflows when parsing the ticket file
  and tickets off the wire.  Also some format string fixups.

lib/libc/net/ns_addr.c				1.11

  Avoid use of variable string fmt.

etc/skel/Makefile				1.1 (new)
etc/skel/dot.cshrc				1.1 (new)
etc/skel/dot.login				1.1 (new)
etc/skel/dot.mailrc				1.1 (new)
etc/skel/dot.profile				1.1 (new)
etc/skel/dot.rhosts				1.1 (new)
etc/Makefile					1.165
share/Makefile					1.10 via patch
share/skel/Makefile				delete
share/skel/dot.cshrc				delete
share/skel/dot.login				delete
share/skel/dot.mailrc				delete
share/skel/dot.profile				delete
share/skel/dot.rhosts				delete
distrib/sets/lists/base/mi			1.184-1.185 via patch
distrib/sets/lists/misc/mi			1.45 via patch

  Use /etc/skel only for skeleton files for useradd.  Fixes PR#10985.

usr.sbin/user/Makefile                          1.7
usr.sbin/user/dot.cshrc                         removed
usr.sbin/user/dot.login                         removed
usr.sbin/user/dot.profile                       removed
usr.sbin/user/group.8                           1.4-1.5
usr.sbin/user/groupadd.8                        1.4-1.5
usr.sbin/user/groupdel.8                        1.5
usr.sbin/user/groupinfo.8                       1.2-1.3
usr.sbin/user/groupmod.8                        1.4-1.5
usr.sbin/user/user.8                            1.5-1.7  
usr.sbin/user/user.c                    1.12,1.14-1.24,1.26-1.29 via patch
usr.sbin/user/useradd.8                         1.5-1.9
usr.sbin/user/userdel.8                         1.4-1.8
usr.sbin/user/userinfo.8                        1.2-1.4
usr.sbin/user/usermod.8                         1.4-1.7

  Synchronize to current versions of the user management tool.
  Fixes PR#11100, PR#11103, PR#11123 and PR#10985.

lib/libkvm/kvm_m68k_cmn.c	 		1.10

  Use %lx instead of %x with _kvm_err when arg is u_long.

sys/nfs/nfs_syscalls.c				1.45 via patch

  Fix a bug where NFS async I/O requests will be lost if the number
  of I/O daemons is ever reduced to a smaller but non-zero number.

distrib/notes/common/main			patch

  Fix wording.

lib/libkvm/kvm_sun3.c				1.10
lib/libkvm/kvm_sun3x.c				1.7

  Use %lx to format u_long parameter.

sys/miscfs/specfs/spec_vnops.c			1.51

  Fix security problem in spec_open().

lib/libkvm/kvm_ns32k.c				1.13
lib/libkvm/kvm_sparc64.c			1.6
lib/libkvm/kvm_vax.c				1.11-1.12

  Use %lx to format u_long parameter.

libexec/ld.aout_so/rtld.c			1.77

  In dlopen(), use the main program's library search path, to match
  semantics of other systems (and our ELF).

usr.sbin/tcpdump/print-atalk.c			1.7-1.8
usr.sbin/tcpdump/print-icmp.c			1.7
usr.sbin/tcpdump/util.c				1.8

  Change from sprintf() to snprintf() where we may print externally
  supplied data of unknown length.  Also fix an endianness problem
  in print-atalk.c.

lib/libc/net/hesiod.c				1.15

  If setuid, ignore environment variables.

bin/csh/dol.c					1.15-1.16

  Avoid overwriting existing files when creating files used
  for ``here'' documents, thereby closing a security hole.

usr.sbin/user/user.c				1.30-1.33

  Make usage message fit in 80 columns.  Remove some debugging code
  in the removal of user home dirs (and enable the real code).
  Error out if instructed to create the home directory but it
  already exists.  Otherwise, recursively make files in new home
  directory (i.e. newly copied skel files) writable by the owner.

usr.bin/top/display.c				1.4

  Avoid buffer overflow, closing a security hole.

distrib/miniroot/Makefile			patch
distrib/vax/bootfs/Makefile			patch
distrib/vax/miniroot/Makefile			removed
distrib/vax/miniroot/Makefile.inc		1.1 (new)
distrib/vax/miniroot/list			patch
distrib/vax/ramdisk/Makefile			patch
etc/etc.vax/Makefile.inc			patch
etc/etc.vax/disktab				patch

  Bring VAX release building bits into shape.  Use the common method
  for building miniroots, fix ramdisk, use INSTALL kernel.

gnu/usr.bin/ld/ld/ld.c				1.72 via patch

  Fix JMPTAB handling on VAX.
